function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

import * as React from 'react';
import cx from 'classnames';
export class ListItem extends React.Component {
  constructor(...args) {
    super(...args);

    _defineProperty(this, "handleMouseOver", () => {
      this.props.onMouseOver(this.props.index, this.props.item);
    });

    _defineProperty(this, "handleChange", ev => {
      this.props.onChange({
        event: ev,
        index: this.props.index,
        item: this.props.item
      });
    });
  }

  render() {
    let props = this.props;
    let classes = cx('react-list-select--item', {
      'is-disabled': props.disabled,
      'is-selected': props.selected,
      'is-focused': props.focused
    });
    return React.createElement("li", {
      className: classes,
      onMouseOver: this.handleMouseOver,
      onClick: this.handleChange
    }, props.children);
  }

}

_defineProperty(ListItem, "defaultProps", {
  disabled: false,
  selected: false,
  focused: false
});